org.apache.poi.xddf.usermodel

## Class XDDFRelativeRectangle

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFRelativeRectangle

-     @Beta
      public class XDDFRelativeRectangle
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XDDFRelativeRectangle()`
    `protected` | `XDDFRelativeRectangle(org.openxmlformats.schemas.drawingml.x2006.main.CTRelativeRect rectangle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getBottom()`
    `java.lang.Integer` | `getLeft()`
    `java.lang.Integer` | `getRight()`
    `java.lang.Integer` | `getTop()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTRelativeRect` | `getXmlObject()`
    `void` | `setBottom(java.lang.Integer bottom)`
    `void` | `setLeft(java.lang.Integer left)`
    `void` | `setRight(java.lang.Integer right)`
    `void` | `setTop(java.lang.Integer top)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFRelativeRectangle

          public XDDFRelativeRectangle()

    - #### XDDFRelativeRectangle

          protected XDDFRelativeRectangle(org.openxmlformats.schemas.drawingml.x2006.main.CTRelativeRect rectangle)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTRelativeRect getXmlObject()

    - #### getBottom

          public java.lang.Integer getBottom()

    - #### setBottom

          public void setBottom(java.lang.Integer bottom)

    - #### getLeft

          public java.lang.Integer getLeft()

    - #### setLeft

          public void setLeft(java.lang.Integer left)

    - #### getRight

          public java.lang.Integer getRight()

    - #### setRight

          public void setRight(java.lang.Integer right)

    - #### getTop

          public java.lang.Integer getTop()

    - #### setTop

          public void setTop(java.lang.Integer top)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.